/**********************************************************
 * MIDI Out Module for Yamaha Electone FX/FS Series organs
 * Tim Singer, 2012
 * Project page: http://tsstech.org/electronics/fxmidi.html
 * 
 * common.h:  Common includes and data type definitions
 **********************************************************/
#include <p24ep64gp202.h>
#include "config.h"

//MSVC Intellisense operation
#ifdef _MSC_VER
    #error Please don_t define _MSC_VER
    #define __attribute__(x)
#endif

//Primitive data types
typedef short int16;
typedef long int32;
typedef unsigned char byte;
typedef unsigned char uchar;
typedef unsigned short uint16;
typedef unsigned long uint32;
typedef enum { false = 0, true = 1 } bool;
#define NULL 0
#define null 0
