/**********************************************************
 * MIDI Out Module for Yamaha Electone FX/FS Series organs
 * Tim Singer, 2012
 * Project page: http://tsstech.org/electronics/fxmidi.html
 * 
 * midi.h:  High-level MIDI operation
 **********************************************************/

//Initializes the buffers used by midi_scan()
void midi_scan_init();

//Waits for input events and sends the appropriate MIDI messages
void midi_scan();   //Processing loop; never returns

extern electone_config fx_config;       //The current MIDI configuration
extern byte fx_cpanel_skipvector[256];  //The vector table used to optimize control panel processing

