/**********************************************************
 * MIDI Out Module for Yamaha Electone FX/FS Series organs
 * Tim Singer, 2012
 * Project page: http://tsstech.org/electronics/fxmidi.html
 * 
 * shiftreg.h:  Shift register operation for keyboard scan
 **********************************************************/

//Configures the shift register (SPI1, DMA0)
void shiftreg_init();

//Load and begin non-blocking 32-bit read and returns state of PORTB during shift register load.
uint16 shiftreg_load_beginread_dma();	

//Receives the contents of the shift register.  Only 2 words are used.
extern uint16 spi_dma_buffer[4];
